import _Tag from "@alifd/next/es/tag";
import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["style", "type", "content", "disabled", "jcfl", "size", "urlpage"];
import * as React from 'react';
import "./index.scss";
var BasicsTag = function BasicsTag(_ref) {
  var _ref$style = _ref.style,
    style = _ref$style === void 0 ? {} : _ref$style,
    type = _ref.type,
    content = _ref.content,
    disabled = _ref.disabled,
    jcfl = _ref.jcfl,
    size = _ref.size,
    urlpage = _ref.urlpage,
    otherProps = _objectWithoutPropertiesLoose(_ref, _excluded);
  var _style = style || {};
  _style.border = 'none';
  var _otherProps = otherProps || {};
  var pageUrl = function pageUrl(e) {
    if (type == '超链接' && urlpage != "") {
      window.location.href = urlpage ? urlpage : '';
    }
  };
  if (type == '失效标签') {
    disabled = true;
  } else {
    disabled = false;
  }
  _otherProps.style = _style;
  if (type == '默认' || type == '失效标签') {
    return /*#__PURE__*/React.createElement(_Tag, _extends({
      prefix: "next-",
      disabled: disabled
    }, _otherProps, {
      size: size,
      onClick: pageUrl,
      className: disabled ? 'disabledsty' : null
    }), content);
  }
  if (type == '超链接' || type == '失效标签') {
    return /*#__PURE__*/React.createElement(_Tag, _extends({
      prefix: "next-",
      disabled: disabled
    }, _otherProps, {
      size: size,
      onClick: pageUrl,
      className: disabled ? 'disabledsty' : null
    }), /*#__PURE__*/React.createElement("span", {
      className: "clansty"
    }, "  ", content));
  }
  if (jcfl == 'primary' || type == '失效标签') {
    return /*#__PURE__*/React.createElement(_Tag, _extends({
      prefix: "next-",
      disabled: disabled
    }, _otherProps, {
      size: size,
      onClick: pageUrl,
      className: disabled ? 'disabledsty' : null
    }), /*#__PURE__*/React.createElement("span", {
      className: "primarysty"
    }, "  ", content));
  }
  if (jcfl == 'success' || type == '失效标签') {
    return /*#__PURE__*/React.createElement(_Tag, _extends({
      prefix: "next-",
      disabled: disabled
    }, _otherProps, {
      size: size,
      onClick: pageUrl,
      className: disabled ? 'disabledsty' : null
    }), /*#__PURE__*/React.createElement("span", {
      className: "successsty"
    }, "  ", content));
  }
  if (jcfl == 'warning' || type == '失效标签') {
    return /*#__PURE__*/React.createElement(_Tag, _extends({
      prefix: "next-",
      disabled: disabled
    }, _otherProps, {
      size: size,
      onClick: pageUrl,
      className: disabled ? 'disabledsty' : null
    }), /*#__PURE__*/React.createElement("span", {
      className: "warningsty"
    }, "  ", content));
  }
  if (jcfl == 'danger' || type == '失效标签') {
    return /*#__PURE__*/React.createElement(_Tag, _extends({
      prefix: "next-",
      disabled: disabled
    }, _otherProps, {
      size: size,
      onClick: pageUrl,
      className: disabled ? 'disabledsty' : null
    }), /*#__PURE__*/React.createElement("span", {
      className: "dangersty"
    }, "  ", content));
  }
  if (jcfl == 'info' || type == '失效标签') {
    return /*#__PURE__*/React.createElement(_Tag, _extends({
      prefix: "next-",
      disabled: disabled
    }, _otherProps, {
      size: size,
      onClick: pageUrl,
      className: disabled ? 'disabledsty' : null
    }), /*#__PURE__*/React.createElement("span", {
      className: "infosty"
    }, "  ", content));
  }
};
BasicsTag.displayName = 'BasicsTag';
export default BasicsTag;